Loading...
Searching...
No Matches
volk_test_params_t Class Reference

`#include <lib/qa_utils.h>`

## Public Member Functions

| volk_test_params_t (float tol, lv_32fc_t scalar, unsigned int vlen, unsigned int iter, bool benchmark_mode, std::string kernel_regex)
void | set_tol (float tol)
void | set_scalar (lv_32fc_t scalar)
void | set_vlen (unsigned int vlen)
void | set_iter (unsigned int iter)
void | set_benchmark (bool benchmark)
void | set_regex (std::string regex)
void | add_float_edge_cases (const std::vector< float > &edge_cases)
void | add_complex_edge_cases (const std::vector< lv_32fc_t > &edge_cases)
float | tol ()
lv_32fc_t | scalar ()
unsigned int | vlen ()
unsigned int | iter ()
bool | benchmark_mode ()
bool | absolute_mode ()
std::string | kernel_regex ()
const std::vector< float > & | float_edge_cases () const
const std::vector< lv_32fc_t > & | complex_edge_cases () const
volk_test_params_t | make_absolute (float tol)
volk_test_params_t | make_tol (float tol)

## Constructor & Destructor Documentation

## volk_test_params_t()

volk_test_params_t::volk_test_params_t | ( | float | tol,
|  | lv_32fc_t | scalar,
|  | unsigned int | vlen,
|  | unsigned int | iter,
|  | bool | benchmark_mode,
|  | std::string | kernel_regex )

inline

## Member Function Documentation

## absolute_mode()

bool volk_test_params_t::absolute_mode | ( |  | ) |

inline

## add_complex_edge_cases()

void volk_test_params_t::add_complex_edge_cases | ( | const std::vector< lv_32fc_t > & | edge_cases | ) |

inline

## add_float_edge_cases()

void volk_test_params_t::add_float_edge_cases | ( | const std::vector< float > & | edge_cases | ) |

inline

## benchmark_mode()

bool volk_test_params_t::benchmark_mode | ( |  | ) |

inline

## complex_edge_cases()

const std::vector< lv_32fc_t > & volk_test_params_t::complex_edge_cases | ( |  | ) | const

inline

## float_edge_cases()

const std::vector< float > & volk_test_params_t::float_edge_cases | ( |  | ) | const

inline

## iter()

unsigned int volk_test_params_t::iter | ( |  | ) |

inline

## kernel_regex()

std::string volk_test_params_t::kernel_regex | ( |  | ) |

inline

## make_absolute()

volk_test_params_t volk_test_params_t::make_absolute | ( | float | tol | ) |

inline

## make_tol()

volk_test_params_t volk_test_params_t::make_tol | ( | float | tol | ) |

inline

## scalar()

lv_32fc_t volk_test_params_t::scalar | ( |  | ) |

inline

## set_benchmark()

void volk_test_params_t::set_benchmark | ( | bool | benchmark | ) |

inline

## set_iter()

void volk_test_params_t::set_iter | ( | unsigned int | iter | ) |

inline

## set_regex()

void volk_test_params_t::set_regex | ( | std::string | regex | ) |

inline

## set_scalar()

void volk_test_params_t::set_scalar | ( | lv_32fc_t | scalar | ) |

inline

## set_tol()

void volk_test_params_t::set_tol | ( | float | tol | ) |

inline

## set_vlen()

void volk_test_params_t::set_vlen | ( | unsigned int | vlen | ) |

inline

## tol()

float volk_test_params_t::tol | ( |  | ) |

inline

## vlen()

unsigned int volk_test_params_t::vlen | ( |  | ) |

inline